Bug 247304 - xdg-user-dirs-gtk's autostart .desktop file fails to start under a KDE session
xdg-user-dirs-gtk's autostart .desktop file fails to start under a KDE session
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xdg-user-dirs-gtk (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-06 15:18 EDT by Niko Mirthes
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-09 16:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch allowing xdg-user-dirs-gtk's autostart file to start as expected under a KDE session (276 bytes, patch)
2007-07-06 15:18 EDT, Niko Mirthes
no flags Details | Diff

  None (edit)
Description Niko Mirthes 2007-07-06 15:18:17 EDT
Description of problem:
The user-dirs-update-gtk.desktop fails to open when starting a KDE session. As 
far as I know, this will be changed via a patch, allowing KDE to look in 
$XDG_CONFIG_DIRS/autostart (/etc/xdg/autostart). I've made some minor changes 
to user-dirs-update-gtk.desktop to allow it to start successfully under a KDE 
session.

How reproducible:
Always.

Steps to Reproduce:
1.Start a KDE session
  
Actual results:
Note that the foo.desktop files placed in /etc/xdg/autostart aren't seen when 
KDE starts and the apps they reference are not started. Moving them to a 
location where they are seen by a KDE session results in undesirable behavior.

Expected results:
The desktop files in the system-wide autostart directory should start without 
major issues.

Additional info:
The attached patch adds:

StartupNotify=false
X-KDE-autostart-after=panel

StartupNotify allows the applet to start under a KDE session without 
displaying KDE's app start up notification icon.

X-KDE-autostart-after=panel allows the applet to start after KDE's panel 
(kicker), preventing a race between the panel and the applet.
Comment 1 Niko Mirthes 2007-07-06 15:18:17 EDT
Created attachment 158697 [details]
Patch allowing xdg-user-dirs-gtk's autostart file to start as expected under a KDE session
Comment 2 Matthias Clasen 2007-07-06 15:45:57 EDT
Alex, if you add me to the pkg.acl file, I'll fix this
Comment 3 Alexander Larsson 2007-07-09 04:18:44 EDT
Added mclasen.
Comment 4 Matthias Clasen 2007-07-09 16:03:17 EDT
Thanks, fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.